<template>
	<view class="pages">
		<view class="icon-wrap u-flex u-row-center">
			<u-icon name="checkmark" color="#fff" size="80"></u-icon>
		</view>
		<view class="title">{{title}}</view>
		<view class="full-btn" @click="btnClick">继续选品</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				fromPage:'',
				title:'提交成功!工作人员将在24小时内与您联系，请耐心等待'
			}
		},
		onShow() {		
		},
		onLoad(page) {
			this.fromPage = page.fromPage;
			if(this.fromPage=='nocash'){
				this.title = '兑换成功'
			}
		},
		methods: {
			btnClick(){
				uni.reLaunch({url: '/shopping/producTypetList'});
			}
		}
	}
</script>
<style>
	page{
		background-color: #F5F5F5;
	}
</style>
<style lang="scss" scoped>
.pages{
	text-align: center;
}

.icon-wrap{
	width: 180rpx;
	height: 180rpx;
	margin: 120rpx auto 20rpx;
	padding: 20rpx;
	background-color: #00A447;
	border-radius: 50%;
}
.title{
	font-size: 26rpx;
	font-family: PingFangSC-Regular, PingFang SC;
	font-weight: 400;
	color: #333333;
	line-height: 37rpx;
	margin-bottom: 120rpx;
}
.full-btn{
	margin: 20rpx 10%;
}
</style>